Runtime

## org.eclipse.gmf.runtime.diagram.ui.editparts
Interface ITextAwareEditPart

All Superinterfaces:
  EditPart, GraphicalEditPart, IAdaptable

All Known Implementing Classes:
  TextCompartmentEditPart

public interface ITextAwareEditPart
extends GraphicalEditPart

Edit part that contains editable text.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Method Summary
`IContentAssistProcessor` `getCompletionProcessor()`
`java.lang.String` `getEditText()` Shortcut method to obtain edit text from parser.
`ICellEditorValidator` `getEditTextValidator()` Returns a validator for the user's edit text
`IParser` `getParser()` Method getParser.
`ParserOptions` `getParserOptions()` Gets the parser options.
`void` `setLabelText(java.lang.String text)` Called when edit text was modified and edit part should update itself to reflect the changes.

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getEditText

    public java.lang.String getEditText()

  Shortcut method to obtain edit text from parser.

### setLabelText

    public void setLabelText(java.lang.String text)

  Called when edit text was modified and edit part should update itself to reflect the changes.

### getEditTextValidator

    public ICellEditorValidator getEditTextValidator()

  Returns a validator for the user's edit text

  Returns:
    a `ICellEditorValidator` for validating a cell editor's input.

### getParserOptions

    public ParserOptions getParserOptions()

  Gets the parser options. The result is passed as a parameter to the parser's getPrintString() and isAffectingEvent() methods

  Returns:
    ParserOptions the parser options

### getParser

    public IParser getParser()

  Method getParser.

  Returns:
    the `IParser` that is used to retrieve the proper formating of the edit text and to create the actual editing command which will modify the model.

### getCompletionProcessor

    public IContentAssistProcessor getCompletionProcessor()

  Returns:
    the `IContentAssistProcessor` that is a content assist processor proposes completions and computes context information for a particular content type

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.